DevelopersAPIReferencescenarioChangeEvents
Create scenario change event
Create a scenario change event with the Walletguide REST API. Parameters, response fields, and a playground you can run.
POST
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidapplication/json- body
scenarioId*stringRow uuid
Format
uuidname*stringLength
1 <= lengthcategoryId*stringCategory row uuid or a system-category sentinel ('transfer'/'balance'/'offset')
startMonth*stringMatch
^\d{4}-\d{2}$ongoingBase?|nullongoingPercentageChangePerYear?number|nulloneTime?|nullactive*booleanThe created scenario change event
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidscenarioId*stringFormat
uuidfirestoreId*string|nullname*stringcategoryId*stringFormat
uuidstartMonth*stringongoingBase*string|number|boolean|null||array<unknown>ongoingPercentageChangePerYear*|Range
-140737488355328 <= value <= 140737488355327oneTime*string|number|boolean|null||array<unknown>active*booleancurl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/scenarioChangeEvents' \ -H 'Content-Type: application/json' \ -d '{ "scenarioId": "e28e2f4c-7202-4457-b0d8-c4c537f7bff6", "name": "string", "categoryId": "string", "startMonth": "string", "active": true}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "scenarioId": "e28e2f4c-7202-4457-b0d8-c4c537f7bff6", "firestoreId": "string", "name": "string", "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0", "startMonth": "string", "ongoingBase": "string", "ongoingPercentageChangePerYear": -140737488355328, "oneTime": "string", "active": true}List scenario change events
List a wallet's scenario change events with the Walletguide REST API. Parameters, response fields, and a playground you can run.
Retrieve scenario change event
Retrieve one scenario change event by id with the Walletguide REST API. Parameters, response fields, and a playground you can run.